<!DOCTYPE html>
<html lang="en">
<head>
	<title>Footnotes</title>
	<style>
		:root {
			font-family: monospace;
			font-size: 10pt;
			orphans: 2;
			text-align: justify;
		}

		@page {
			size: 21cm 9cm;
			margin: 2cm;
			-ps-areas: head -ps-body sidenotes footnotes;

			display: grid;
			grid-template-areas: "head head"
				"sidenotes -ps-body"
				"sidenotes footnotes";
			grid-template-rows: 50px 1fr auto;
			grid-template-columns: auto 1fr auto;

			counter-reset: float;

			@-ps-body {
			}

			@-ps-area head {
			background-color: rgba(255, 0, 0, 0.2);
		}
		@-ps-area footnotes {
		background-color: rgba(0, 255, 0, 0.2);
		}

		@-ps-area sidenotes {
		background-color: rgba(0, 0, 255, 0.2);
		padding: 0 0.5em;
		text-align:left;
		font-size: 0.8em;
		}
		}

		.sidenote {
			float: -ps-area(sidenotes);
			width: 100px;
			counter-increment: sidenote;
		}

		.sidenote::-ps-float-call {
			content: "*";
		}

		.footnote {
			float: footnote;
		}

		.img {
			float: -ps-area(head);
			width: 100%;
			height: 100%;
		}

		.img::-ps-float-marker {
			content: none;
		}

		svg {
			width: 100%;
			height: 100%;
		}
	</style>
</head>
<body>
<main>
	<svg class="img" viewBox="0 0 100 100" width="100" height="100" preserveAspectRatio="none">
		<circle r="50" cx="50" cy="50" fill="blue"></circle>
	</svg>
	<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur non nisi scelerisque, eleifend purus et,
		tempor arcu. In est leo, vehicula vel ante vel, bibendum volutpat purus. Suspendisse egestas aliquet augue vel
		fringilla. Integer id neque in sapien gravida consectetur. Phasellus<span class="sidenote">Nullam vitae cursus nisi.</span>,
		ante odio viverra augue<span class="footnote">Footnote</span>,
		sed blandit<span class="sidenote">Non purus.</span> posuere at interdum nisi dolor ut ipsum. Cras id tortor egestas
		congue vitae in nulla. Vivamus ac egestas ipsum. Praesent a felis ut diam dictum vestibulum sed ac elit.</p>
	<svg class="img" viewBox="0 0 100 100" width="100" height="100" preserveAspectRatio="none">
		<circle r="50" cx="50" cy="50" fill="red"></circle>
	</svg>
	<p>Nunc fringilla pharetra nibh in convallis. Suspendisse accumsan purus vel felis ornare, eleifend sollicitudin
		elit viverra. Sed in feugiat ligula. Nullam fermentum nunc eu arcu semper pulvinar. Vivamus finibus aliquam
		consectetur. Aenean mattis neque mi, id convallis eros faucibus sit amet. Nam nec dui
		purus<span class="sidenote">Aenean nec tempor elit eros faucibus sit.</span>. Maecenas felis mauris, fringilla id elit at, bibendum gravida mauris..</p>
	<p>Quisque accumsan tellus vitae libero sodales finibus quis bibendum odio. Integer pulvinar nulla quis nulla maximus
		convallis. Mauris non arcu dui. Fusce maximus ultrices nulla sed luctus. Phasellus id tortor id est aliquet
		gravida et vitae lorem. Ut tincidunt consectetur sem eget tempor. Nam dictum egestas mauris, eu lobortis justo
		mattis sed. Morbi vitae tincidunt magna<span class="footnote">Footnote</span>.</p>
</main>
</body>
</html>
